#== Home =================================================================================================================
cadoles_core_home:
    path: /
    defaults: { _controller: CadolesCoreBundle:Core:home }


   
#== Theme ================================================================================================================

cadoles_core_theme_setconfig:
    path: /theme/setconfig
    defaults:  { _controller: CadolesCoreBundle:Theme:setconfig }   

cadoles_core_config_theme:
    path: /config/theme
    defaults:  { _controller: CadolesCoreBundle:Theme:list }   

cadoles_core_config_theme_selec:
    path: /config/theme/select/{name}
    defaults:  { _controller: CadolesCoreBundle:Theme:select, name:"" }       

    
#== Security Auth ========================================================================================================
cadoles_core_login:
    path: /login
    defaults:  { _controller: CadolesCoreBundle:Security:login }         

cadoles_core_logout:
    path: /logout
    defaults:  { _controller: CadolesCoreBundle:Security:logout }     

cadoles_core_checkuser:
    path: /checkuser
    defaults:  { _controller: CadolesCoreBundle:Security:checkuser }   

cadoles_core_kill:
    path: /kill
    defaults:  { _controller: CadolesCoreBundle:Security:kill } 

cadoles_core_ldap_login:
    path: /ldaplogin
    defaults:  { _controller: CadolesCoreBundle:Security:login }  

cadoles_core_redirect:
    path: /user/redirect/{route}/{id}
    defaults:  { _controller: CadolesCoreBundle:Security:redirect }  

#== Sonde ================================================================================================================
cadoles_core_sonde:
    path: /sonde
    defaults:  { _controller: CadolesCoreBundle:Sonde:sonde }

#== Crop Image ===========================================================================================================
cadoles_core_crop01:
    path: /crop01
    defaults:  { _controller: CadolesCoreBundle:Crop:crop01 }

cadoles_core_crop02:
    path: /crop02
    defaults:  { _controller: CadolesCoreBundle:Crop:crop02 }


#== File =================================================================================================================
#-- Access config
cadoles_core_config_file_list:
    path: /config/file/list/{directory}
    defaults: { _controller: CadolesCoreBundle:File:list, access: config }  

cadoles_core_config_file_upload:
    path: /config/file/upload/{id}/{type}
    defaults: { _controller: CadolesCoreBundle:File:upload, access: config }   

cadoles_core_config_file_subdirectory:
    path: /config/file/subdirectory/{id}/{type}
    defaults: { _controller: CadolesCoreBundle:File:subdirectory, access: config }  

cadoles_core_config_file_rename:
    path: /config/file/rename/{id}/{oldname}
    defaults: { _controller: CadolesCoreBundle:File:rename, access: config }   

cadoles_core_config_file_trash:
    path: /config/file/trash/
    defaults: { _controller: CadolesCoreBundle:File:trash, access: config } 

cadoles_core_config_file_restaure:
    path: /config/file/restaure/
    defaults: { _controller: CadolesCoreBundle:File:restaure, access: config } 

cadoles_core_config_file_purgetrash:
    path: /config/file/purgetrash/{directory}
    defaults: { _controller: CadolesCoreBundle:File:purgetrash, access: config } 

cadoles_core_config_file_delete:
    path: /config/file/delete/
    defaults: { _controller: CadolesCoreBundle:File:delete, access: config }   

cadoles_core_config_file_move:
    path: /config/file/move/
    defaults: { _controller: CadolesCoreBundle:File:move, access: config } 

cadoles_core_config_file_view:
    path: /config/file/view/{directory}/{filename}
    defaults: { _controller: CadolesCoreBundle:File:view, access: config }  

cadoles_core_config_file_show:
    path: /config/file/show/{directory}/{filename}
    defaults: { _controller: CadolesCoreBundle:File:show, access: config }   

cadoles_core_config_file_download:
    path: /config/file/download/{directory}/{filename}
    defaults: { _controller: CadolesCoreBundle:File:download, access: config }   

#-- Access user    
cadoles_core_user_file_list:
    path: /user/file/list/{directory}
    defaults: { _controller: CadolesCoreBundle:File:list, access: user }  

cadoles_core_user_file_upload:
    path: /user/file/upload/{id}/{type}
    defaults: { _controller: CadolesCoreBundle:File:upload, access: user }   

cadoles_core_user_file_subdirectory:
    path: /user/file/subdirectory/{id}/{type}
    defaults: { _controller: CadolesCoreBundle:File:subdirectory, access: user }  

cadoles_core_user_file_rename:
    path: /user/file/rename/{id}/{oldname}
    defaults: { _controller: CadolesCoreBundle:File:rename, access: user }   

cadoles_core_user_file_trash:
    path: /user/file/trash/
    defaults: { _controller: CadolesCoreBundle:File:trash, access: user }

cadoles_core_user_file_restaure:
    path: /user/file/restaure/
    defaults: { _controller: CadolesCoreBundle:File:restaure, access: user } 

cadoles_core_user_file_purgetrash:
    path: /user/file/purgetrash/{directory}
    defaults: { _controller: CadolesCoreBundle:File:purgetrash, access: user } 

cadoles_core_user_file_delete:
    path: /user/file/delete
    defaults: { _controller: CadolesCoreBundle:File:delete, access: user }   

cadoles_core_user_file_move:
    path: /user/file/move/
    defaults: { _controller: CadolesCoreBundle:File:move, access: user } 

cadoles_core_user_file_view:
    path: /user/file/view/{directory}/{filename}
    defaults: { _controller: CadolesCoreBundle:File:view, access: user }  

cadoles_core_user_file_download:
    path: /user/file/download/{directory}/{filename}
    defaults: { _controller: CadolesCoreBundle:File:download, access: user }   

cadoles_core_user_file_show:
    path: /user/file/show/{directory}/{filename}
    defaults: { _controller: CadolesCoreBundle:File:show, access: user }   



#== Ajax =================================================================================================================
cadoles_core_ajax_country_list:
    path: /ajax/country/list
    defaults:  { _controller: CadolesCoreBundle:Ajax:countrylist }

cadoles_core_ajax_city_list:
    path: /ajax/city/list
    defaults:  { _controller: CadolesCoreBundle:Ajax:citylist }

cadoles_core_ajax_niveau01_list:
    path: /ajax/niveau01/list
    defaults:  { _controller: CadolesCoreBundle:Ajax:niveau01list }

cadoles_core_ajax_niveau02_list:
    path: /ajax/niveau02/list
    defaults:  { _controller: CadolesCoreBundle:Ajax:niveau02list }

cadoles_core_ajax_niveau02_read:
    path: /ajax/niveau02/read
    defaults:  { _controller: CadolesCoreBundle:Ajax:niveau02read }

cadoles_core_ajax_group_list:
    path: /ajax/group/list
    defaults:  { _controller: CadolesCoreBundle:Ajax:grouplist }

cadoles_core_ajax_group_read:
    path: /ajax/group/read
    defaults:  { _controller: CadolesCoreBundle:Ajax:groupread }

cadoles_core_ajax_item_list:
    path: /ajax/item/list
    defaults:  { _controller: CadolesCoreBundle:Ajax:itemlist }    

cadoles_core_ajax_iswhitelist:
    path: /ajax/iswhitelist
    defaults: { _controller: CadolesCoreBundle:Whitelist:ajaxiswhitelist }

#== Home Config ==========================================================================================================
cadoles_core_config:
    path: /config/home
    defaults:  { _controller: CadolesCoreBundle:Config:home }       


#== Mail =================================================================================================================
cadoles_core_mail_invitationgroup:
    path: /user/mail/invitationgroup/{id}
    defaults:  { _controller: CadolesCoreBundle:Mail:invitationgroup }   


#== Commun Config Commun =================================================================================================
cadoles_core_config_commun:
    path: /config/commun
    defaults: { _controller: CadolesCoreBundle:Config:list }

cadoles_core_config_commun_update:
    path: /config/commun/update/{id}
    defaults: { _controller: CadolesCoreBundle:Config:update }

cadoles_core_config_commun_delete:
    path: /config/commun/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Config:delete }

cadoles_core_config_logo:
    path: /config/commun/logo
    defaults:  { _controller: CadolesCoreBundle:Config:logo }

cadoles_core_config_header:
    path: /config/commun/header
    defaults:  { _controller: CadolesCoreBundle:Config:header }

cadoles_core_config_datauser:
    path: /config/commun/datauser
    defaults: { _controller: CadolesCoreBundle:Config:datauser }   

cadoles_core_config_datauserdefault:
    path: /config/commun/datauserdefault
    defaults: { _controller: CadolesCoreBundle:Config:datauserdefault }  

cadoles_core_config_datausers:
    path: /config/commun/datausers
    defaults: { _controller: CadolesCoreBundle:Config:datausers }     

cadoles_core_config_datausersdefault:
    path: /config/commun/datausersdefault
    defaults: { _controller: CadolesCoreBundle:Config:datausersdefault }  


#== Registration =========================================================================================================
#-- Access config
cadoles_core_config_registration:
    path: /config/registration
    defaults: { _controller: CadolesCoreBundle:Registration:list }

cadoles_core_config_registration_send:
    path: /config/registration/send/{id}
    defaults: { _controller: CadolesCoreBundle:Registration:send  }

cadoles_core_config_registration_delete:
    path: /config/registration/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Registration:delete }

cadoles_core_config_registration_ajax_list:
    path: /config/registration/ajax/list
    defaults: { _controller: CadolesCoreBundle:Registration:ajaxlist }

#-- Access user
cadoles_core_registration:
    path: /registration
    defaults: { _controller: CadolesCoreBundle:Registration:submit }

cadoles_core_registration_info:
    path: /registration/info
    defaults: { _controller: CadolesCoreBundle:Registration:info }

cadoles_core_registration_validation:
    path: /registration/validation/{key}
    defaults: { _controller: CadolesCoreBundle:Registration:validation }

cadoles_core_resetpwd01:
    path: /resetpwd01
    defaults: { _controller: CadolesCoreBundle:Registration:resetpwd01 }

cadoles_core_resetpwd02:
    path: /resetpwd02/{key}
    defaults: { _controller: CadolesCoreBundle:Registration:resetpwd02 } 


#== User =================================================================================================================
#-- Access config
cadoles_core_config_user:
    path: /config/user
    defaults: { _controller: CadolesCoreBundle:User:list, access: config }

cadoles_core_config_user_submit:
    path: /config/user/submit
    defaults: { _controller: CadolesCoreBundle:User:submit, access: config  }

cadoles_core_config_user_update:
    path: /config/user/update/{id}
    defaults: { _controller: CadolesCoreBundle:User:update, access: config }

cadoles_core_config_user_delete:
    path: /config/user/delete/{id}
    defaults: { _controller: CadolesCoreBundle:User:delete, access: config  }

cadoles_core_config_user_sync:
    path: /config/user/sync
    defaults: { _controller: CadolesCoreBundle:User:sync, access: config  }

cadoles_core_config_user_ajax_list:
    path: /config/user/ajax/list
    defaults: { _controller: CadolesCoreBundle:User:ajaxlist, access: config  }

cadoles_core_config_user_ajax_selectlist:
    path: /config/user/ajax/selectlist
    defaults: { _controller: CadolesCoreBundle:User:selectlist, access: config  }

cadoles_core_config_mailing:
    path: /config/mailing
    defaults: { _controller: CadolesCoreBundle:User:mailing }

cadoles_core_config_importuser:
    path: /config/importuser
    defaults: { _controller: CadolesCoreBundle:User:importuser }

cadoles_core_config_importuser_file:
    path: /config/importuserfile
    defaults: { _controller: CadolesCoreBundle:User:importuserfile }    

cadoles_core_config_importuser_filectrl:
    path: /config/importuserfilectrl
    defaults: { _controller: CadolesCoreBundle:User:importuserfilectrl }   

cadoles_core_config_user_export:
    path: /config/exportuser
    defaults: { _controller: CadolesCoreBundle:User:exportuser }  

#-- Access user
cadoles_core_user:
    path: /user
    defaults: { _controller: CadolesCoreBundle:User:profil }

cadoles_core_user_user_ajax_list:
    path: /user/user/ajax/list
    defaults: { _controller: CadolesCoreBundle:User:ajaxlist, access: user  }

cadoles_core_user_user_ajax_selectlist:
    path: /user/user/ajax/selectlist
    defaults: { _controller: CadolesCoreBundle:User:selectlist, access: user }

cadoles_core_user_users:
    path: /user/users
    defaults: { _controller: CadolesCoreBundle:User:list, access: user }

cadoles_core_user_view:
    path: /user/view/{id}
    defaults: { _controller: CadolesCoreBundle:User:view }    

cadoles_core_user_viewcalendar:
    path: /user/viewcalendar
    defaults: { _controller: CadolesCoreBundle:User:viewcalendar }      

cadoles_core_user_preference:
    path: /user/preference
    defaults: { _controller: CadolesCoreBundle:User:preference }      


#== Permmodoprofil ========================================================================================================
cadoles_core_config_permmodoprofil:
    path: /config/permmodoprofil
    defaults: { _controller: CadolesCoreBundle:Permmodoprofil:list }   

cadoles_core_config_permmodoprofil_submit:
    path: /config/permmodoprofil/submit
    defaults: { _controller: CadolesCoreBundle:Permmodoprofil:submit }

cadoles_core_config_permmodoprofil_update:
    path: /config/permmodoprofil/update/{id}
    defaults: { _controller: CadolesCoreBundle:Permmodoprofil:update }

cadoles_core_config_permmodoprofil_delete:
    path: /config/permmodoprofil/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Permmodoprofil:delete }

cadoles_core_config_permmodoprofil_ajax_list:
    path: /config/permmodoprofil/ajax/list
    defaults: { _controller: CadolesCoreBundle:Permmodoprofil:ajaxlist }

cadoles_core_config_permmodo_update:
    path: /config/permmodo/update
    defaults: { _controller: CadolesCoreBundle:Permmodoprofil:permmodoupdate }  

#== Niveau01 =============================================================================================================
cadoles_core_config_niveau01:
    path: /config/niveau01
    defaults: { _controller: CadolesCoreBundle:Niveau01:list }

cadoles_core_config_niveau01_submit:
    path: /config/niveau01/submit
    defaults: { _controller: CadolesCoreBundle:Niveau01:submit }

cadoles_core_config_niveau01_update:
    path: /config/niveau01/update/{id}
    defaults: { _controller: CadolesCoreBundle:Niveau01:update }

cadoles_core_config_niveau01_delete:
    path: /config/niveau01/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Niveau01:delete }

cadoles_core_config_niveau01_ajax_list:
    path: /config/niveau01/ajax/list
    defaults: { _controller: CadolesCoreBundle:Niveau01:ajaxlist }

cadoles_core_config_niveau01_logo:
    path: /config/niveau01/logo
    defaults:  { _controller: CadolesCoreBundle:Niveau01:logo }

cadoles_core_config_niveau01_header:
    path: /config/niveau01/header
    defaults:  { _controller: CadolesCoreBundle:Niveau01:header }

#== Niveau02 =============================================================================================================
cadoles_core_config_niveau02:
    path: /config/niveau02
    defaults: { _controller: CadolesCoreBundle:Niveau02:list }

cadoles_core_config_niveau02_submit:
    path: /config/niveau02/submit
    defaults: { _controller: CadolesCoreBundle:Niveau02:submit }

cadoles_core_config_niveau02_update:
    path: /config/niveau02/update/{id}
    defaults: { _controller: CadolesCoreBundle:Niveau02:update }

cadoles_core_config_niveau02_delete:
    path: /config/niveau02/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Niveau02:delete }

cadoles_core_config_niveau02_ajax_list:
    path: /config/niveau02/ajax/list
    defaults: { _controller: CadolesCoreBundle:Niveau02:ajaxlist }


#== Group ================================================================================================================
#-- Access config
cadoles_core_config_group:
    path: /config/group
    defaults: { _controller: CadolesCoreBundle:Group:list, access: config }

cadoles_core_config_group_submit:
    path: /config/group/submit
    defaults: { _controller: CadolesCoreBundle:Group:submit, access: config }

cadoles_core_config_group_update:
    path: /config/group/update/{id}
    defaults: { _controller: CadolesCoreBundle:Group:update, access: config }

cadoles_core_config_group_delete:
    path: /config/group/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Group:delete, access: config  }

cadoles_core_config_group_ajax_list:
    path: /config/group/ajax/list
    defaults: { _controller: CadolesCoreBundle:Group:ajaxlist, access: config }

cadoles_core_config_group_users:
    path: /config/group/users/{id}
    defaults: { _controller: CadolesCoreBundle:Group:users, access: config }

cadoles_core_config_group_statistic:
    path: /config/group/statistic/{id}
    defaults: { _controller: CadolesCoreBundle:Group:statistic, access: config }

cadoles_core_config_group_ajax_usersnotin:
    path: /config/group/ajax/usersnotin/{id}
    defaults: { _controller: CadolesCoreBundle:Group:ajaxusersnotin, access: config }

cadoles_core_config_group_ajax_usersin:
    path: /config/group/ajax/usersin/{id}
    defaults: { _controller: CadolesCoreBundle:Group:ajaxusersin, access: config }

cadoles_core_config_group_ajax_usergroup_add:
    path: /config/group/ajax/usergroupadd
    defaults: { _controller: CadolesCoreBundle:Group:usergroupadd, access: config }

cadoles_core_config_group_ajax_usergroup_del:
    path: /config/group/ajax/usergroupdel
    defaults: { _controller: CadolesCoreBundle:Group:usergroupdel, access: config }

cadoles_core_config_group_ajax_changerole:
    path: /config/group/ajax/changerole
    defaults: { _controller: CadolesCoreBundle:Group:changerole, access: config }    

cadoles_core_config_group_export:
    path: /config/group/export
    defaults: { _controller: CadolesCoreBundle:Group:groupexport }  

cadoles_core_config_group_usergroup_export:
    path: /config/group/users/export/{id}
    defaults: { _controller: CadolesCoreBundle:Group:usergroupexport, access: config }

cadoles_core_config_group_invitation:
    path: /config/group/invitation/{id}
    defaults: { _controller: CadolesCoreBundle:Group:invitation, access: config }

#-- Access user
cadoles_core_user_group:
    path: /user/group
    defaults: { _controller: CadolesCoreBundle:Group:list, access: user }   
    
cadoles_core_user_group_ajax_list:
    path: /user/group/ajax/list
    defaults: { _controller: CadolesCoreBundle:Group:ajaxlist, access: user }    

cadoles_core_user_group_submit:
    path: /user/group/submit
    defaults: { _controller: CadolesCoreBundle:Group:submit, access: user }

cadoles_core_user_group_update:
    path: /user/group/update/{id}
    defaults: { _controller: CadolesCoreBundle:Group:update, access: user }

cadoles_core_user_group_delete:
    path: /user/group/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Group:delete, access: user  }

cadoles_core_user_group_users:
    path: /user/group/users/{id}
    defaults: { _controller: CadolesCoreBundle:Group:users, access: user }    

cadoles_core_user_group_statistic:
    path: /user/group/statistic/{id}
    defaults: { _controller: CadolesCoreBundle:Group:statistic, access: user }

cadoles_core_user_group_out:
    path: /user/group/out/{id}
    defaults: { _controller: CadolesCoreBundle:Group:out, access: user }  
    
cadoles_core_user_group_ajax_usersnotin:
    path: /user/group/ajax/usersnotin/{id}
    defaults: { _controller: CadolesCoreBundle:Group:ajaxusersnotin, access: user }

cadoles_core_user_group_ajax_usersin:
    path: /user/group/ajax/usersin/{id}
    defaults: { _controller: CadolesCoreBundle:Group:ajaxusersin, access: user }

cadoles_core_user_group_ajax_usergroup_add:
    path: /user/group/ajax/usergroupadd
    defaults: { _controller: CadolesCoreBundle:Group:usergroupadd, access: user }

cadoles_core_user_group_ajax_usergroup_del:
    path: /user/group/ajax/usergroupdel
    defaults: { _controller: CadolesCoreBundle:Group:usergroupdel, access: user }

cadoles_core_user_group_ajax_changerole:
    path: /user/group/ajax/changerole
    defaults: { _controller: CadolesCoreBundle:Group:changerole, access: user }      

cadoles_core_user_group_usergroup_export:
    path: /user/group/users/export/{id}
    defaults: { _controller: CadolesCoreBundle:Group:usergroupexport, access: user }

cadoles_core_user_group_invitation:
    path: /user/group/invitation/{id}
    defaults: { _controller: CadolesCoreBundle:Group:invitation, access: user }


#== Whitelist ============================================================================================================
cadoles_core_config_whitelist:
    path: /config/whitelist
    defaults: { _controller: CadolesCoreBundle:Whitelist:list }

cadoles_core_config_whitelist_submit:
    path: /config/whitelist/submit
    defaults: { _controller: CadolesCoreBundle:Whitelist:submit }

cadoles_core_config_whitelist_update:
    path: /config/whitelist/update/{id}
    defaults: { _controller: CadolesCoreBundle:Whitelist:update }

cadoles_core_config_whitelist_delete:
    path: /config/whitelist/delete/{id}
    defaults: { _controller: CadolesCoreBundle:Whitelist:delete }

cadoles_core_config_whitelist_ajax_list:
    path: /config/whitelist/ajax/list
    defaults: { _controller: CadolesCoreBundle:Whitelist:ajaxlist }

#== Statistic =============================================================================================================
cadoles_core_config_statistic:
    path: /config/statistic
    defaults: { _controller: CadolesCoreBundle:Statistic:list }

#== REST ==================================================================================================================
cadoles_core_rest_login:
  path: /rest/login
  defaults: { _controller: CadolesCoreBundle:Rest:login }

cadoles_core_rest_user:
  path: /rest/user/{login}
  defaults: { _controller: CadolesCoreBundle:Rest:user }

cadoles_core_rest_users:
  path: /rest/users
  defaults: { _controller: CadolesCoreBundle:Rest:users }

cadoles_core_rest_groups:
  path: /rest/groups
  defaults: { _controller: CadolesCoreBundle:Rest:groups }  

cadoles_core_rest_bookmark_add:
  path: /rest/bookmark/add
  defaults: { _controller: CadolesCoreBundle:Rest:bookmarkadd }    

cadoles_core_rest_bookmark_del:
  path: /rest/bookmark/del
  defaults: { _controller: CadolesCoreBundle:Rest:bookmarkdel }   

cadoles_core_rest_alert_hide:
  path: /rest/alert/hide
  defaults: { _controller: CadolesCoreBundle:Rest:alerthide }     